AssertStatement (Groovy 5.1.0)
Description: declaration: package: org.codehaus.groovy.ast.stmt, class: AssertStatement

Package org.codehaus.groovy.ast.stmt

# Class AssertStatement

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.stmt.Statement
org.codehaus.groovy.ast.stmt.AssertStatement

All Implemented Interfaces:
  `NodeMetaDataHandler`

public class AssertStatement extends Statement
Represents an assert statement. E.g.: `assert i != 0 : "should never be zero";`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssertStatement(BooleanExpression booleanExpression)`
  `AssertStatement(BooleanExpression booleanExpression, Expression messageExpression)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BooleanExpression`
  `getBooleanExpression()`
  `Expression`
  `getMessageExpression()`
  `void`
  `setBooleanExpression(BooleanExpression booleanExpression)`
  `void`
  `setMessageExpression(Expression messageExpression)`
  `void`
  `visit(GroovyCodeVisitor visitor)`

  ### Methods inherited from class org.codehaus.groovy.ast.stmt.Statement

  `addStatementLabel, copyStatementLabels, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`

  ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

  `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, newMetaDataMap, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- ## Constructor Details

  - ### AssertStatement

    public AssertStatement(BooleanExpression booleanExpression)

  - ### AssertStatement

    public AssertStatement(BooleanExpression booleanExpression, Expression messageExpression)

- ## Method Details

  - ### visit

    public void visit(GroovyCodeVisitor visitor)
    Overrides:
      `visit` in class `ASTNode`

  - ### getMessageExpression

    public Expression getMessageExpression()

  - ### getBooleanExpression

    public BooleanExpression getBooleanExpression()

  - ### setBooleanExpression

    public void setBooleanExpression(BooleanExpression booleanExpression)

  - ### setMessageExpression

    public void setMessageExpression(Expression messageExpression)